<app-header [titre]="'RESULTAT'"></app-header>
<div class="bloc mb-2">
  <div class="infos">
    <div class="bloc1 mb-3">
      <div class="row mb-3 m-2">
        <div class="card w-100">
          <div class="card-body">
            <h5 class="card-title bg-light"><i class="fas fa-utensils"></i> &nbsp;Ingrédients</h5>
            <p class="card-text p-3" style="font-size:10px; height:140px; width: 100%;" maxlength="100">
              {{product.product.ingredients_text}}
            </p>
          </div>
        </div>
      </div>
      <div class="bloc11">
        <div class="col-6 m-0 justify-content-start">
          <div class="card border-warning" style="max-width: 14rem;">
            <div class="card-header font-weight-bold" style="font-size: 18px;"> <i
                class="fas fa-exclamation-triangle"></i> &nbsp;Allergies</div>
            <div class="card-body text-warning">
              <h5 class="card-title">Warning :</h5>
              <p class="card-text" style="background-color:white; font-size: 15px; color:rgb(51, 50, 50)">
                {{product.product.allergens_from_ingredients}}</p>
            </div>
          </div>
        </div>
        <div class="col-6 p-0">
          <span class="badge badge-secondary p-2" style="width: 180px; height:30px;font-size: 12px"
            ngbTooltip="Il s'agit de la quantité de carbone émise (en g) pour la fabrication, le transport et la mise à disposition d'un produit">
            <i class="fas fa-smog"></i>&nbsp; Emprunte
            Carbon : {{product.product.carbon_footprint_percent_of_known_ingredients}} g</span>
          <span *ngIf="veganInfos=='vegan'" class="badge badge-success pt-2 pb-1 mt-3"
            style="width: 180px; height:30px; font-size: 14px; display: flex; flex-direction: row; justify-content: space-around;"
            ngbTooltip="Ce produit qui est exclu de toute origine animale">
            <i class="fas fa-leaf"></i>&nbsp;Vegan Friendly &nbsp;<i class="far fa-smile"></i></span>
          <span *ngIf="veganInfos=='non vegan'" class="badge badge-warning pt-2 pb-1 mt-3"
            style="width: 180px; height:30px; font-size: 14px; display: flex; flex-direction: row; justify-content: space-around;"
            ngbTooltip="Ce produit a dans sa composition des origines animales">
            <i class="fas fa-leaf"></i>&nbsp;No Vegan Friendly &nbsp;<i class="far fa-frown"></i></span>
          <span *ngIf="palmInfos==0" class="badge badge-success pt-2 pb-1 mt-3"
            style="width: 180px; height:30px; font-size: 14px; display: flex; flex-direction: row; justify-content: space-around;">
            <i class="fas fa-seedling"></i>&nbsp;Pas d'huile de palme &nbsp;<i class="far fa-smile"></i></span>
          <span *ngIf="palmInfos!=0" class="badge badge-warning pt-2 pb-1 mt-3"
            style="width: 180px; height:30px; font-size: 14px; display: flex; flex-direction: row; justify-content: space-around;">
            <i class="fas fa-seedling"></i>&nbsp;Huile de palme &nbsp;<i class="far fa-frown"></i></span>
        </div>
      </div>
    </div>
    <div class="bloc2 m-3">
      <div class="align-content-center">
        <div class="card w-100">
          <img mat-card-image *ngIf="product.product.nutriscore_grade == 'a'" class="card-img-top align-content-center"
            style="height: 80px; width: 100%;"
            src="https://upload.wikimedia.org/wikipedia/commons/7/7d/Nutri-score-A.svg" alt="Photo of a Shiba Inu">
          <img *ngIf="product.product.nutriscore_grade === 'b'" class="card-img-top" mat-card-image
            style="height: 80px; width: 100%;"
            src="https://upload.wikimedia.org/wikipedia/commons/4/4e/Nutri-score-B.svg" alt="Photo of a Shiba Inu">
          <img *ngIf="product.product.nutriscore_grade == 'c'" class="card-img-top" mat-card-image
            style="height: 80px; width: 100%;"
            src="https://upload.wikimedia.org/wikipedia/commons/b/b5/Nutri-score-C.svg" alt="Photo of a Shiba Inu">
          <img mat-card-image *ngIf="product.product.nutriscore_grade == 'd'" class="card-img-top"
            style="height: 80px; width: 100%;"
            src="https://upload.wikimedia.org/wikipedia/commons/d/d6/Nutri-score-D.svg" alt="Photo of a Shiba Inu">
          <img *ngIf="product.product.nutriscore_grade == 'e'" class="card-img-top align-content-center mat-card-image"
            style="height: 80px; width: 100%;"
            src="https://upload.wikimedia.org/wikipedia/commons/8/8a/Nutri-score-E.svg" alt="Photo of a Shiba Inu">
          <div class="card-body">
            <h5 class="card-title align-content-center">{{product.product.product_name_fr}}</h5>
            <ul class="list-group list-group-flush">
              <li class="list-group-item" style="font-size: 25px;"><span
                  class="badge badge-primary mb-2">{{ product.code }} </span> </li>
              <li class="list-group-item" style="font-size: 20px;"><span class="badge badge-primary">
                  {{ product.product.brands_tags }}</span>
              </li>
              <li class="list-group-item" style="font-size: 20px;"><span
                  class="badge badge-primary">{{energiValue}}
                  {{energiUnit}}/100g</span>
              </li>
              <li class="list-group-item" style="font-size: 20px;"><span
                  class="badge badge-primary">{{quantite}}</span>
              </li>
            </ul>
          </div>
        </div>
      </div>
    </div>
    <div class="bloc3 m-3">
      <div class="list-group w-100 nutrition">
        <ul class="list-group-item list-group-item-action active"><span
            style="display: flex; flex-direction: row; justify-content:space-between;">
            <span><i class="fas fa-weight"></i>&nbsp;<span>Nutrition</span></span><span ngbDropdown
              class="d-inline-block" style="font-size:10px;">
              infos
              <div id="dropdownBasic1" ngbDropdownToggle>
                <div ngbDropdownMenu aria-labelledby="dropdownBasic1">
                  <button ngbDropdownItem class="text-danger">Rouge : Elevé</button>
                  <button ngbDropdownItem class="text-warning">Orange : Moderé</button>
                  <button ngbDropdownItem class="text-success">Vert : Faible</button>
                </div>
              </div>
            </span>
          </span>
          <li class="list-group-item"
            style="display: flex; flex-direction:row; justify-content:space-around; font-size:20px;"
            *ngIf="salt != null">
            <span class="badge badge-pill badge-primary" [ngStyle]="{'background-color':CheckValSalt()}">Sel</span>
            <span class="badge badge-pill badge-primary badge-outlined"
              [ngStyle]="{'border-color':CheckValSalt(),'color':CheckValSalt()}"
              style="word-break: keep-all;">{{valSalt}}
              {{saltUnit}}</span>
          </li>
          <li class="list-group-item"
            style="display: flex; flex-direction:row; justify-content:space-around; font-size:20px;"
            *ngIf="fat != null">
            <span class="badge badge-pill badge-primary"
              [ngStyle]="{'background-color':CheckValSugar()}">Sucre</span><span
              class="badge badge-pill badge-primary badge-outlined"
              [ngStyle]="{'border-color':CheckValSugar(),'color':CheckValSugar()}">{{valSugar}}
              {{sugarUnit}}</span>
          </li>
          <li class="list-group-item"
            style="display: flex; flex-direction:row; justify-content:space-around; font-size:20px;"
            *ngIf="sugar != null">
            <span class="badge badge-pill badge-primary" [ngStyle]="{'background-color':CheckValFat()}">Gras</span><span
              class="badge badge-pill badge-primary badge-outlined"
              [ngStyle]="{'border-color':CheckValFat(),'color':CheckValFat()}">{{valFat}}
              {{fatUnit}}</span>
          </li>
        </ul>
      </div>
    </div>
  </div>


  <div class="row buttonScan">
    <button class="btn btn-primary" type="button" [routerLink]="['/scanner']">
      <div class="text text-center"><i class="fas fa-barcode"></i> &nbsp;SCANNER</div>
    </button>
    <button class="btn btn-primary" type="button" [routerLink]="['/accueil']">
      <div class="text text-center"><i class="fas fa-sign-out-alt"></i> &nbsp;DECONNEXION</div>
    </button>
  </div>
</div>